# Portal MEC

[![build status](https://ci.gitlab.c3sl.ufpr.br/projects/19/status.png?ref=master)](https://ci.gitlab.c3sl.ufpr.br/projects/19?ref=master)

## Requirements
 * ruby >=2.2
 * rvm
 * Dspace server, with solr access allowed
 * Postgres
 * OrientDB

## Setup
To setup the rails app, will be needed run active record migrations, 
orient db migrations and populate active record database:

``` ./bin/setup ```

## Definitions
Some definitions and vocabulary of project domain model.

## Deploy
Before deploy to production server, some env vars need be set:
 
 ### Application Secrets
 
 The command 'rake secret' can be used for generate random string
 
  * SECRET_TOKEN
  * SECRET_KEY_BASE
  
 ### Postgres/Active Record credentials
  * PORTALMEC_DB_NAME
  * PORTALMEC_DB_USERNAME
  * PORTALMEC_DB_PASSWORD
  
 ### OrientDB credentials
  * PORTALMEC_ORIENTDB_HOST
  * PORTALMEC_ORIENTDB_DATABASE
  * PORTALMEC_ORIENTDB_USERNAME
  * PORTALMEC_ORIENTDB_PASSWD
  * PORTALMEC_ORIENTDB_PORT
  
 ### Dspace credentials
  * PORTALMEC_DSPACE_SOLR
  * PORTALMEC_DSPACE_REST
  * PORTALMEC_DSPACE_PORT
  * PORTALMEC_DSPACE_HOST
  
 ### Rails environment
  * RAILS_SERVE_STATIC_FILES - default is FALSE
  * RAILS_ENV: production, test or development
 
 Run: 
```
$ mina setup
$ mina deploy
```