/*
 *  This file is part of Autocomplete-Server
 *
 *  Autocomplete-Server is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Foobar is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


/*===============================  HEADER  ==================================*/

#include "util.hpp"


using namespace std;

/*---------------------------------------------------------------------------*/



/*=================================  UTIL  ==================================*/

void explode(std::vector<std::string>& out, char qry, std::string text){
	out.clear();
	string buffer;
	for (int i=0; i<text.size(); i++){
		char c = text[i];
		if ( c == qry ){
			if ( buffer.size() != 0 ){
				out.push_back(buffer);
				buffer = "";
			}
		} else {
			buffer += c;
		}
	}
	if ( buffer.size() != 0 )
		out.push_back(buffer);
}

/*---------------------------------------------------------------------------*/
