class CreateLearningObjects < ActiveRecord::Migration
  def change
    create_table :learning_objects do |t|
      t.integer :id_dspace, index: true
      t.string :name
      t.string :author
      t.text :description
      t.datetime :published_at
      t.string :object_type
      t.integer :score, default: 0
      t.integer :school_level
      t.string :language
      t.jsonb :metadata, default: {}
      t.text :bitstreams
      t.string :thumbnail
      t.text :keywords

      t.references :publisher, polymorphic: true, index: true

      t.timestamps null: false
    end
  end
end
